> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team

> Updates an existing team in your COR instance using its external ID

Updates an existing team in your COR instance using its external ID. Performs the same validations as creation and updates only the provided fields.

## Path Parameters

<ParamField path="id" type="string" required>
  External team ID that was used when creating the team
</ParamField>

## Request Body Requirements

<ParamField body="metadata" type="object" required>
  <Expandable title="properties">
    <ParamField body="source" type="string" required>
      Integration source identifier
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="name" type="string">
  Updated team name
</ParamField>

<ParamField body="workspace_id" type="string">
  External workspace ID that the team belongs to
</ParamField>

<ParamField body="description" type="string">
  Updated description
</ParamField>

## Known Errors

* `ZC001` — Entity is not associated (team with the specified external ID not found)
* `ValidationError` — Missing required `metadata.source` field
* `WS001` — The workspace was not found in the system (if workspace\_id is provided)

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Team test 2.0",
    "description": "New team for delevopers",
    "workspace_id": "ws-prod-engineering-2024",
    "metadata": {
      "source": "GLOBANT"
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}"

  payload = {
      "name": "Team test 2.0",
      "description": "New team for delevopers",
      "workspace_id": "ws-prod-engineering-2024",
      "metadata": {
          "source": "GLOBANT"
      }
  }

  headers = {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN",
      "Content-Type": "application/json"
  }

  response = requests.put(url, json=payload, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}',
    {
      method: 'PUT',
      headers: {
        'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        name: 'Team test 2.0',
        description: 'New team for delevopers',
        workspace_id: 'ws-prod-engineering-2024',
        metadata: {
          source: 'GLOBANT'
        }
      })
    }
  );

  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 4240,
    "company_id": 2336,
    "name": "Team test 2.0",
    "description": "New team for delevopers",
    "created_at": "2026-01-08 19:06:19",
    "updated_at": "2026-01-08 19:17:54",
    "deleted_at": null,
    "workspace_id": 3
  }
  ```

  ```json 404 theme={null}
  {
    "status": "ERROR",
    "code": "ZC001",
    "message": "Entity is not associated"
  }
  ```
</ResponseExample>
